/*******************************************************************************
* Freescale Semiconductor Inc.
* (c) Copyright 2004-2005 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
********************************************************************************
Services performed by FREESCALE in this matter are performed AS IS and without 
any warranty. CUSTOMER retains the final decision relative to the total design 
and functionality of the end product. FREESCALE neither guarantees nor will be 
held liable by CUSTOMER for the success of this project.
FREESCALE DISCLAIMS ALL WARRANTIES, EXPRESSED, IMPLIED OR STATUTORY INCLUDING, 
BUT NOT LIMITED TO, IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR 
A PARTICULAR PURPOSE ON ANY HARDWARE, SOFTWARE OR ADVISE SUPPLIED TO THE PROJECT
BY FREESCALE, AND OR NAY PRODUCT RESULTING FROM FREESCALE SERVICES. IN NO EVENT
SHALL FREESCALE BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF
THIS AGREEMENT.

CUSTOMER agrees to hold FREESCALE harmless against any and all claims demands or
actions by anyone on account of any damage, or injury, whether commercial, 
contractual, or tortuous, rising directly or indirectly as a result of an advise
or assistance supplied CUSTOMER in connection with product, services or goods 
supplied under this Agreement.
********************************************************************************
* File      convert.h* Owner     r62780
* Version   1.1
* Date      Apr-15-2010
* Classification   General Business Information
* Brief     Conversions
********************************************************************************
* Detailed Description: The file contains conversions
********************************************************************************
Revision History:
Version  Date         Author  Description of Changes
1.0      Apr-13-2010  R62780  Initial version
1.1      Apr-15-2010  R62780  Tabelators substituded by empty spaces
*******************************************************************************/


#ifndef _CONVERT_H
#define _CONVERT_H

#include "map.h"                              // derivative information

// Input format 0x00PPOOOO
extern ULONG  ConvertPpageOff2Global(ULONG Addr);

// Input format 0x00GGOOOO
extern ULONG  ConvertGlobal2PpageOff(ULONG Addr);


#endif
